Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Generic Programming for Computer Vision
Name: 		vigra
Version: 	1.6.0
Release: 	1
License: 	MIT
Group: 		Development/Libraries
Source: 	http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/%{name}%{version}.tar.gz
URL: 		http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	zlib-devel fftw-devel >= 3

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel

%description
VIGRA stands for "Vision with Generic Algorithms". It's a novel computer vision
library that puts its main emphasis on customizable algorithms and data
structures. By using template techniques similar to those in the C++ Standard
Template Library, you can easily adapt any VIGRA component to the needs of your
application without thereby giving up execution speed.

%package devel
Summary: 	Development tools for programs which will use the vigra library
Group:	 	Development/Libraries
Requires: 	vigra = %{version}-%{release}
Requires: 	libjpeg-devel, libtiff-devel, libpng-devel, zlib-devel, fftw-devel >= 3

%description devel
The vigra-devel package includes the header files necessary for developing
programs that use the vigra library.

%prep
%setup -q -n %{name}%{version}
chmod 644 %{_builddir}/%{name}%{version}/doc/vigra/documents/*.ps
rm -f %{_builddir}/%{name}%{version}/doc/vigra/.cvsignore

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure \
    --prefix=/usr \
    --with-tiff \
    --with-jpeg \
    --with-png \
    --with-zlib \
    --with-fftw \
    --enable-shared \
    --disable-static \
    --libdir=%{_libdir}
make

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}/%{_libdir}/libvigraimpex.la
rm -rf %{buildroot}/usr/doc

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root,-)
%doc LICENSE.txt README.txt
%{_libdir}/libvigraimpex.so.*

%files devel
%defattr(-, root, root,-)
%{_bindir}/vigra-config
%{_includedir}/vigra
%{_libdir}/libvigraimpex.so
%doc doc/vigra/*

%changelog
* Wed Aug 12 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-1
- Version update
- built against libjpeg 7
* Wed Jan 23 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.0-2
- rebuild against gcc 4.1.2
* Sat Jan 19 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.0-1
- Initial release
